| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::EdgeData::Triangle Struct Reference

Basic triangle structure. More...

`#include <OgreEdgeListBuilder.h>`

## Public Member Functions
| Triangle ()

## Public Attributes
size_t | indexSet
| The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.) More...
size_t | sharedVertIndex [3]
| Vertex indexes, relative to a shared vertex buffer with duplicates eliminated (this buffer is not exposed) More...
size_t | vertexSet
| The vertex set these vertices came from. More...
size_t | vertIndex [3]
| Vertex indexes, relative to the original buffer. More...

## Detailed Description

Basic triangle structure.

## Constructor & Destructor Documentation

## ◆ Triangle()

Ogre::EdgeData::Triangle::Triangle | ( |  | ) |
| inline

## Member Data Documentation

## ◆ indexSet

size_t Ogre::EdgeData::Triangle::indexSet

The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.)

## ◆ vertexSet

size_t Ogre::EdgeData::Triangle::vertexSet

The vertex set these vertices came from.

## ◆ vertIndex

size_t Ogre::EdgeData::Triangle::vertIndex[3]

Vertex indexes, relative to the original buffer.

## ◆ sharedVertIndex

size_t Ogre::EdgeData::Triangle::sharedVertIndex[3]

Vertex indexes, relative to a shared vertex buffer with duplicates eliminated (this buffer is not exposed)

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h